跳转到主要内容
运营管理/租户管理(Plus)/工单管理相关接口
PUTTicket Operations起始版本 3.0.0同步需要认证

修改工单流程

修改工单流程

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • uuidString必填

    资源的UUID,唯一标示该资源

请求体字段

  • updateiam2ticketflowcollectionObject必填

    updateiam2ticketflowcollection 请求体结构

    • flowsList

      可选。

    • nameString

      资源名称

    • descriptionString

      资源的详细描述

    • isDefaultBoolean

      可选。

  • systemTagsList

    可选。

  • userTagsList

    可选。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryTicketFlowCollectionInventory必填

    详情参考inventory

    • uuidString必填

      资源的UUID,唯一标示该资源

    • nameString必填

      资源名称

    • descriptionString必填

      资源的详细描述

    • stateString必填

      当前状态。

    • statusString必填

      状态信息。

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • isDefaultBoolean必填

      是否默认。

    • flowsList必填

      详情参考flows

      • uuidString必填

        资源的UUID,唯一标示该资源

      • nameString必填

        资源名称

      • descriptionString必填

        资源的详细描述

      • parentFlowUuidString必填

        暂无描述。

      • flowContextString必填

        暂无描述。

      • flowContextTypeString必填

        暂无描述。

      • createDateTimestamp必填

        创建时间

      • lastOpDateTimestamp必填

        最后一次修改时间

      • collectionUuidString必填

        采集UUID。

请求地址

PUT/zstack/v1/tickets/flow-collections/{uuid}/actions

/zstack/v1/tickets/flow-collections/{uuid}/actions

操作 ID

UpdateIAM2TicketFlowCollection

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/tickets/flow-collections/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateiam2ticketflowcollection":{"flows":["<flows>"],"name":"<name>","description":"<description>","isDefault":true},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "uuid": "7db7660049ba42fc95de91ac238145a5", "name": "collection name", "state": "Enabled", "status": "Valid", "isDefault": false, "flows": [] } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史